Skip to main content
POST
/
alerts
/
{alertId}
/
items
/
list
List alert items with filtering and pagination
curl --request POST \
  --url https://api.artu.ai/alerts/{alertId}/items/list \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Environment: <api-key>' \
  --data '
{
  "filter": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "alertId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "hasErrors": true,
    "clientNames": "<string>",
    "transactionAmount": 123,
    "transactionCurrency": "<string>",
    "transactionDate": "2023-11-07T05:31:56Z",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "metadataFilters": [
      {
        "key": "<string>",
        "value": "<string>"
      }
    ],
    "scopeData": {
      "MX": {
        "actividadVulnerable": {
          "alertDescription": "<string>",
          "ARI": {},
          "AVI": {},
          "INM": {},
          "JYS": {},
          "MJR": {},
          "MPC": {},
          "TSC": {},
          "VEH": {}
        },
        "cnbv": {
          "TRANSMISOR": {}
        }
      }
    }
  },
  "sort": [
    {}
  ],
  "cursor": "<string>",
  "offset": 4503599627370495,
  "limit": 20,
  "includeTotalCount": true
}
'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "alertId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "metadata": {},
      "scopeData": {
        "MX": {
          "actividadVulnerable": {
            "alertDescription": "<string>",
            "amendment": {
              "originalReference": "<string>",
              "reason": "<string>"
            },
            "ARI": {},
            "AVI": {},
            "INM": {},
            "JYS": {},
            "MJR": {},
            "MPC": {},
            "TSC": {},
            "VEH": {}
          },
          "cnbv": {
            "TRANSMISOR": {
              "fechaDeteccion": "2023-11-07T05:31:56Z",
              "descripcionOperacion": "<string>",
              "razones": "<string>"
            }
          }
        },
        "US": "<unknown>"
      },
      "clientNames": [
        "<string>"
      ],
      "transactionAmount": 123,
      "transactionCurrency": "<string>",
      "transactionDate": "<string>",
      "validationErrors": [
        {
          "path": "<string>",
          "code": "<string>",
          "message": "<string>",
          "resourceId": "<string>",
          "label": "<string>",
          "sdkField": "<string>",
          "parentClientId": "<string>"
        }
      ]
    }
  ],
  "pagination": {
    "hasMore": true,
    "nextCursor": "<string>",
    "totalCount": 0
  }
}

Authorizations

Authorization
string
header
required

API key authentication. Obtain your API key from the dashboard.

X-Environment
string
header
required

Target environment for the request. Must be "test" or "live".

Path Parameters

alertId
string<uuid>
required

Body

application/json
filter
object
sort
object[]
cursor
string
offset
integer
Required range: 0 <= x <= 9007199254740991
limit
integer
default:20
Required range: 1 <= x <= 200
includeTotalCount
boolean

Response

200 - application/json

OK

data
object[]
required
pagination
object
required